apiVersion: apisix.apache.org/v2
kind: ApisixRoute
metadata:
  name: {{ .Values.contextPath }}-route
spec:
  http:
    - name: {{ .Values.contextPath }}
      match:
        paths:
          - /{{ .Values.contextPath }}/*
      backends:
        - serviceName: {{ .Values.serviceName }}
          servicePort: 80
      plugins:
        - name: proxy-rewrite
          enable: true
          config:
            regex_uri:
              - /{{ .Values.contextPath }}/(.*)
              - /$1
            headers:
              X-Forwarded-Prefix: /{{ .Values.contextPath }}
        - name: openid-connect
          enable: {{ .Values.openid.enabled }}
          config:
            client_id: {{ .Values.openid.client_id }}
            client_secret: {{ .Values.openid.client_secret }}
            scope: openid profile
            bearer_only: true
            realm: {{ .Values.openid.realm }}
            introspection_endpoint_auth_method: "client_secret_post"
            discovery: {{ .Values.openid.discovery }}
            introspection_endpoint: {{.Values.openid.introspection_endpoint}}
